#689 closed defect (fixed)

newlib strtod (and *scanf) mishandle NAN/INF

Reported by: Eric Norum Owned by: Joel Sherrill
Priority: lowest Milestone: 2
Component: tool/newlib Version: unspecified
Severity: normal Keywords: Tools
Cc: bugs@… Blocked By:
Blocking:

Description

The newlib strtod routine and *scanf routines accept neither NAN nor INF.

Release:
all?

Environment:
all

Change History (3)

comment:1 Changed on Mar 8, 2006 at 5:59:43 PM by Joel Sherrill

Status: assignedwaiting

comment:2 Changed on Aug 5, 2008 at 3:54:42 PM by Joel Sherrill

Component: toolsNewlib
Keywords: Tools added; RTEMS removed
product: RTEMSTools
rep_platform: All
Version: unknownunspecified

comment:3 Changed on Oct 15, 2008 at 4:55:41 PM by Joel Sherrill

Resolution: fixed
Status: assignedclosed

This was filed 4 years ago so should be fixed in newlib by now.

Note: See TracTickets for help on using tickets.